package com.newriders.jxta.chapter10;


/**
 * An interface to encapsulate an object that listens for notification
 * from the ExampleService of newly arrived ExampleResponseMsg messages.
 */
public interface ExampleServiceListener
{
    /**
     * Process the newly arrived ExampleResponseMsg message.
     *
     * @param   answer the object encapsulating the notification event.
     */
    public void processAnswer(ExampleServiceEvent answer);
}

