package com.newriders.jxta.chapter11.presence;

import com.newriders.jxta.chapter11.protocol.PresenceAdvertisement;


/**
 * An interface to encapsulate an object that listens for notification
 * from the PresenceService of newly arrived presence information.
 */
public interface PresenceListener
{
    /**
     * Notify the listener of newly arrived presence information.
     *
     * @param   presenceInfo the newly received presence information.
     */
    public void presenceUpdated(PresenceAdvertisement presenceInfo);
}

